Last Comment Bug 353066 - problem with refreshing tasks in main view when end due starts is set
: problem with refreshing tasks in main view when end due starts is set
Status: VERIFIED FIXED
: dataloss
Product: Calendar
Classification: Client Software
Component: Tasks (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Sunbird 0.5
Assigned To: Stefan Sitter
:
:
Mentors:
: 368728 372827 (view as bug list)
Depends on: 372855
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 12:06 PDT by Damian Szczepanik
Modified: 2008-04-01 03:16 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
rev0 - use correct scope (2.84 KB, patch)
2007-03-06 10:25 PST, Stefan Sitter
jminta: first‑review+
jminta: second‑review+
Details | Diff | Splinter Review

Description Damian Szczepanik 2006-09-17 12:06:21 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; pl; rv:1.8.0.7) Gecko/20060909 Firefox/1.5.0.7
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060917 Calendar/0.3a2+

new task is not visible in week view when due time is set

Reproducible: Always

Steps to Reproduce:
1. switch to week view and enable "Tasks in view"
2. Go to today
3. create new task start date = today, due date is disabled
  -> task is not visible in main view - ok
4. edit created task, enable due date = start date + 1 hour
Actual Results:  
task is not visible in main view

Expected Results:  
task should be visible because if I switch to day view and go back to week task is visible so this is problem with refresing
Comment 1 Dan Mosedale (:dmose) 2006-09-19 12:49:27 PDT
This is unfortunate, but since it gets fixed by a refresh, relnoting should be good enough.
Comment 2 cmtalbert 2007-02-15 09:50:00 PST
*** Bug 368728 has been marked as a duplicate of this bug. ***
Comment 3 cmtalbert 2007-03-06 08:26:30 PST
*** Bug 372827 has been marked as a duplicate of this bug. ***
Comment 4 cmtalbert 2007-03-06 08:27:20 PST
This bug continues to come up.  Can we fix it for 0.5?
Comment 5 Bas van den Bosch 2007-03-06 08:48:33 PST
I knew I had seen it before: bug 278302 which is a dupe of bug 257632 which was fixed by bug 297934. This ended in a regression-bug: bug 321164
Comment 6 Stefan Sitter 2007-03-06 10:25:59 PST
Created attachment 257533 [details] [diff] [review]
rev0 - use correct scope

this.mTasksInView is undefined. This means we will return to early from onModifyItem() for tasks. Some lines above/below we already use the correct scoped version this.calView.mTasksInView.
Comment 7 Joey Minta 2007-03-06 11:10:26 PST
Comment on attachment 257533 [details] [diff] [review]
rev0 - use correct scope

yep yep.
Comment 8 Matthew (lilmatt) Willis 2007-03-06 11:24:25 PST
Patch checked in on MOZILLA_1_8_BRANCH and trunk.

-> FIXED
Comment 9 Stefan Sitter 2007-03-06 11:29:24 PST
Note: There is still an open issue when editing a task with only start or due date set to a task with both dates set. I filed Bug 372855 for this issue.
Comment 10 Damian Szczepanik 2007-03-11 15:55:41 PDT
task is not visible, I have to refresh to see it
-> Reopen

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a3pre) Gecko/20070308 Calendar/0.6a1
Comment 11 Bas van den Bosch 2007-03-11 23:11:27 PDT
confirmed in Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.3pre) Gecko/20070310 Calendar/0.5pre

Error: aDate has no properties
Source File: file:///C:/Program%20Files/Calendar/js/calUtils.js
Line: 567
Comment 12 Stefan Sitter 2007-03-12 10:39:33 PDT
I already filed Bug 372855 for the open issue as written in Comment #9, there was no need to reopen the bug.
Comment 13 Matthew (lilmatt) Willis 2007-03-22 11:45:58 PDT
Marking FIXED per comment #12.
Comment 14 Martin Schröder [:mschroeder] 2007-05-24 16:34:09 PDT
VERIFIED with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.4pre) Gecko/20070522 Calendar/0.5pre.

Note You need to log in before you can comment on or make changes to this bug.